com.genesyslab.wfm8.API.service.RTA850

## Class ChannelState

- java.lang.Object
- - com.genesyslab.wfm8.API.service.RTA850.ChannelState

- All Implemented Interfaces:
    java.io.Serializable

      public class ChannelState
      extends java.lang.Object
      implements java.io.Serializable

  Contains state for specified channel for one agent.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `channelName` Channel name.
    `protected int` | `genesysStateID` The current agent Genesys state.
    `protected int` | `hasChannelName` Channel name presence indicator
    `protected java.util.List<java.lang.String>` | `reasonCodes` The reason Codes array.
    `protected int` | `reasonCodesSize` The number of reason codes.
    `private static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChannelState()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.lang.String` | `getChannelName()` Gets the value of the channelName property.
    `int` | `getGenesysStateID()` Gets the value of the genesysStateID property.
    `int` | `getHasChannelName()` Gets the value of the hasChannelName property.
    `java.util.List<java.lang.String>` | `getReasonCodes()` Gets the value of the reasonCodes property.
    `int` | `getReasonCodesSize()` Gets the value of the reasonCodesSize property.
    `int` | `hashCode()`
    `void` | `setChannelName(java.lang.String value)` Sets the value of the channelName property.
    `void` | `setGenesysStateID(int value)` Sets the value of the genesysStateID property.
    `void` | `setHasChannelName(int value)` Sets the value of the hasChannelName property.
    `void` | `setReasonCodes(java.util.List<java.lang.String> reasonCodes)` Sets the value of the reasonCodes property.
    `void` | `setReasonCodesSize(int value)` Sets the value of the reasonCodesSize property.
    `java.lang.String` | `toString()`
    `ChannelState` | `withChannelName(java.lang.String value)`
    `ChannelState` | `withGenesysStateID(int value)`
    `ChannelState` | `withHasChannelName(int value)`
    `ChannelState` | `withReasonCodes(java.util.Collection<java.lang.String> values)`
    `ChannelState` | `withReasonCodes(java.lang.String... values)`
    `ChannelState` | `withReasonCodesSize(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### hasChannelName

          protected int hasChannelName

      Channel name presence indicator

    - #### channelName

          protected java.lang.String channelName

      Channel name. If hasChannelName is false then this is aggregated channel. If hasChannelName is true then this field contains channel name. Empty channel name is used for legacy voice channels.

    - #### genesysStateID

          protected int genesysStateID

      The current agent Genesys state.
      -1 if current state is undefined due to lost connection to StatServer or because agent is unknown to StatServer

    - #### reasonCodesSize

          protected int reasonCodesSize

      The number of reason codes.

    - #### reasonCodes

          protected java.util.List<java.lang.String> reasonCodes

      The reason Codes array.

  - ### Constructor Detail

    - #### ChannelState

          public ChannelState()

  - ### Method Detail

    - #### getHasChannelName

          public int getHasChannelName()

      Gets the value of the hasChannelName property.
      Returns:
        possible object is `int`

    - #### setHasChannelName

          public void setHasChannelName(int value)

      Sets the value of the hasChannelName property.
      Parameters:
        `value` - allowed object is `int`

    - #### getChannelName

          public java.lang.String getChannelName()

      Gets the value of the channelName property.
      Returns:
        possible object is `String`

    - #### setChannelName

          public void setChannelName(java.lang.String value)

      Sets the value of the channelName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getGenesysStateID

          public int getGenesysStateID()

      Gets the value of the genesysStateID property.

    - #### setGenesysStateID

          public void setGenesysStateID(int value)

      Sets the value of the genesysStateID property.

    - #### getReasonCodesSize

          public int getReasonCodesSize()

      Gets the value of the reasonCodesSize property.

    - #### setReasonCodesSize

          public void setReasonCodesSize(int value)

      Sets the value of the reasonCodesSize property.

    - #### getReasonCodes

          public java.util.List<java.lang.String> getReasonCodes()

      Gets the value of the reasonCodes property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the reasonCodes property.

      For example, to add a new item, do as follows:

              getReasonCodes().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### setReasonCodes

          public void setReasonCodes(java.util.List<java.lang.String> reasonCodes)

      Sets the value of the reasonCodes property.
      Parameters:
        `reasonCodes` - allowed object is `String`

    - #### withGenesysStateID

          public ChannelState withGenesysStateID(int value)

    - #### withReasonCodesSize

          public ChannelState withReasonCodesSize(int value)

    - #### withReasonCodes

          public ChannelState withReasonCodes(java.lang.String... values)

    - #### withReasonCodes

          public ChannelState withReasonCodes(java.util.Collection<java.lang.String> values)

    - #### withChannelName

          public ChannelState withChannelName(java.lang.String value)

    - #### withHasChannelName

          public ChannelState withHasChannelName(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.